Permalink
Browse files

Getting things working with Rails 3.x

  • Loading branch information...
1 parent 779175a commit 68409cea6df8aab138140e007ed5f497079598b2 @petebrowne petebrowne committed Oct 12, 2011
@@ -3,8 +3,8 @@
module MediaelementRails
class Engine < Rails::Engine
- initializer "mediaelement_rails.register_mime_types", :after => "sprockets.environment" do |app|
- next unless app.config.assets.enabled
+ config.after_initialize do |app|
+ next unless app.assets
app.assets.register_mime_type "application/x-silverlight-app", ".xap"
end
end
@@ -5,19 +5,20 @@ require "mediaelement_rails/version"
Gem::Specification.new do |s|
s.name = "mediaelement_rails"
s.version = MediaelementRails::VERSION
- s.authors = ["Tobias Schlottke"]
- s.email = ["tobias.schlottke@gmail.com"]
- s.homepage = ""
- s.summary = %q{MediaElement.js for rails}
- s.description = %q{a MediaElement gem(engine) for rails. Makes embedding HTML5 video easy}
+ s.authors = ["Tobias Schlottke", "Pete Browne"]
+ s.email = ["tobias.schlottke@gmail.com", "me@petebrowne.com"]
+ s.homepage = "https://github.com/tobsch/mediaelement_rails"
+ s.summary = %q{MediaElement.js for Rails}
+ s.description = %q{A MediaElement gem(engine) for Rails. Makes embedding HTML5 video easy.}
- s.add_dependency "railties", ">= 3.1.0.rc6"
+ s.add_dependency "railties", "~> 3.0"
s.add_dependency "jquery-rails", "~> 1.0"
- s.add_development_dependency "rake", ">= 0.8.7"
- s.add_development_dependency "bundler", "~> 1.0.0"
- s.add_development_dependency "rails", ">= 3.1.0.rc6"
- s.add_development_dependency "turn", "~> 0.8.2"
+ s.add_development_dependency "rails", "~> 3.0"
+ s.add_development_dependency "i18n"
+ s.add_development_dependency "turn"
+ s.add_development_dependency "sqlite3"
+ s.add_development_dependency "rake"
s.files = `git ls-files`.split("\n")
s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
View
@@ -1,11 +1,9 @@
require File.expand_path('../boot', __FILE__)
-require 'active_support/railtie'
-require 'action_controller/railtie'
-require 'rails/test_unit/railtie'
-require 'sprockets/railtie'
+require "rails/all"
-Bundler.require :default, :development
+Bundler.require
+require "mediaelement_rails"
module Dummy
class Application < Rails::Application
No changes.

0 comments on commit 68409ce

Please sign in to comment.